de.esprit.netsuite.server.auth.member

## Interface GroupMemberManager<S extends ServerContext>

- All Superinterfaces:
    GroupMemberResolver, PermissionControlled
  All Known Implementing Classes:
    DefaultGroupMemberManager

      public interface GroupMemberManager<S extends ServerContext>
      extends GroupMemberResolver, PermissionControlled

  This interface defines the functionality of the Manager who manages user to group assignments.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroupMember(SessionId sessionId, Group group, UserId userId)`
    `java.util.List<Group>` | `getGroupsOfUser(UserId user)` Returns all groups the given user is member of.
    `java.util.List<UserId>` | `getUsersOfGroup(Group group)`
    `void` | `init()`
    `void` | `removeGroupMember(SessionId sessionId, Group group, UserId userId)`
    `void` | `setGroupsForUser(SessionId sessionId, UserId userId, java.util.List<Group> groups)`

    - ### Methods inherited from interface de.esprit.netsuite.server.permission.PermissionControlled

      `getPermissionDefinition`

- - ### Method Detail

    - #### init

          void init()
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getGroupsOfUser

          java.util.List<Group> getGroupsOfUser(UserId user)

      Description copied from interface: `GroupMemberResolver`
      Returns all groups the given user is member of.
      Specified by:
        `getGroupsOfUser` in interface `GroupMemberResolver`

    - #### getUsersOfGroup

          java.util.List<UserId> getUsersOfGroup(Group group)

    - #### setGroupsForUser

          void setGroupsForUser(SessionId sessionId,
                              UserId userId,
                              java.util.List<Group> groups)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addGroupMember

          void addGroupMember(SessionId sessionId,
                            Group group,
                            UserId userId)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeGroupMember

          void removeGroupMember(SessionId sessionId,
                               Group group,
                               UserId userId)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.